CVE-2007-1265

high

Description

KMail 1.9.5 and earlier does not properly use the --status-fd argument when invoking GnuPG, which prevents KMail from visually distinguishing between signed and unsigned portions of OpenPGP messages with multiple components, which allows remote attackers to forge the contents of a message without detection.

References

http://lists.gnupg.org/pipermail/gnupg-users/2007-March/030514.html

http://secunia.com/advisories/24413

http://securityreason.com/securityalert/2353

http://www.coresecurity.com/?action=item&id=1687

http://www.securityfocus.com/archive/1/461958/100/0/threaded

http://www.securityfocus.com/archive/1/461958/30/7710/threaded

http://www.securityfocus.com/bid/22759

http://www.securitytracker.com/id?1017727

http://www.vupen.com/english/advisories/2007/0835

Details

Source: MITRE

Published: 2007-03-06

Updated: 2018-10-16

Risk Information

CVSS v2

Base Score: 7.8

Vector: AV:N/AC:L/Au:N/C:N/I:C/A:N

Impact Score: 6.9

Exploitability Score: 10

Severity: HIGH